# wxDDEServer Class Reference
[Interprocess Communication]

`#include <wx/dde.h>`

## Detailed Description

A wxDDEServer object represents the server part of a client-server DDE (Dynamic Data Exchange) conversation.

This DDE-based implementation is available on Windows only, but a platform-independent, socket-based version of this API is available using wxTCPServer.

##

Library: wxBase

Category: Interprocess Communication
Availability: only available for the wxMSW port.

See also:
  wxDDEClient, wxDDEConnection, Interprocess Communication

## Public Member Functions
| wxDDEServer ()
| Constructs a server object.
bool | Create (const wxString &service)
| Registers the server using the given service name.
virtual wxConnectionBase * | OnAcceptConnection (const wxString &topic)
| When a client calls wxDDEClient::MakeConnection(), the server receives the message and this member is called.

List of all members.

## Constructor & Destructor Documentation

wxDDEServer::wxDDEServer | ( |  | ) |

Constructs a server object.

## Member Function Documentation

bool wxDDEServer::Create | ( | const wxString & | service | ) |

Registers the server using the given service name.

Under UNIX, the string must contain an integer id which is used as an Internet port number. false is returned if the call failed (for example, if the port number is already in use).

virtual wxConnectionBase* wxDDEServer::OnAcceptConnection | ( | const wxString & | topic | ) | `[virtual]`

When a client calls wxDDEClient::MakeConnection(), the server receives the message and this member is called.

The application should derive a member to intercept this message and return a connection object of either the standard wxDDEConnection type, or of a user-derived type.

If the topic is "STDIO", the application may wish to refuse the connection. Under UNIX, when a server is created the OnAcceptConnection() message is always sent for standard input and output, but in the context of DDE messages it doesn't make a lot of sense.

|  | [ top ]